var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  GEvent.addListener(map, "mousemove", move);
  GEvent.addListener(map, "click", addHistory);
}

function shortForm(x) {
  return Math.floor(x*1000)/1000; //1000倍して、整数に切り捨てて、1000で割る
}
 
function move(latlng) {
  var p = document.getElementById("postext");
  p.innerHTML = "(" + shortForm(latlng.lat()) + "," + shortForm(latlng.lng()) + ")";
}

function addHistory(ov, latlng) {
  function setCenterToHere() {
    map.panTo(latlng);
  }

  var posLink = document.createElement("a");
  posLink.innerHTML = "(" + shortForm(latlng.lat()) + "," + shortForm(latlng.lng()) + ")";
  posLink.href = "#"; // ページは移動しないのでダミーのhrefをセット
  posLink.onclick = setCenterToHere;

  var newLi = document.createElement("li");
  newLi.appendChild(posLink);

  var historyList = document.getElementById("history");
  historyList.appendChild(newLi);
}

onload   = startUp;
onunload = GUnload;
