var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  GEvent.addListener(map, "mousemove", move);
  GEvent.addListener(map, "click", addHistory);
}

function shortForm(x) {
  return Math.floor(x*1000)/1000;
}

function move(latlng) {
  var p = document.getElementById("postext");
  p.innerHTML = "(" + shortForm(latlng.lat()) + "," + shortForm(latlng.lng()) + ")";
}

var prevPos; // 前回addHistoryされた位置を覚えておく変数

function addHistory(ov, latlng) {
  // 距離情報を準備
  var distance;
  if( prevPos == undefined ) // 最初のaddHistoryなら "?"
    distance = "?";
  else     // そうでなければ、distanceFromを使ってメートル単位で距離計算
    distance = shortForm( latlng.distanceFrom(prevPos) ) + "m";

  // 今回addHistoryされた位置を覚えておく
  prevPos = latlng;

  // 緯度経度の文字列と、クリックイベント処理を準備
  var posLink = document.createElement("a");
  posLink.innerHTML = "(" + shortForm(latlng.lat()) + "," + shortForm(latlng.lng()) + ")";
  posLink.href = "#";
  posLink.onclick = function() { map.panTo(latlng); } // 無名関数を使う

  // リスト項目を作成。距離情報テキストの追加も忘れずに
  var newLi = document.createElement("li");
  var distText = document.createTextNode(" - " + distance);
  newLi.appendChild(posLink);
  newLi.appendChild(distText);

  // リスト項目追加
  var historyList = document.getElementById("history");
  historyList.appendChild(newLi);
}

onload   = startUp;
onunload = GUnload;
