var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  GDownloadUrl( "mark1.json", addMarkerByJSON );
  GDownloadUrl( "mark2.json", addMarkerByJSON );
}

function addMarkerByJSON(data) {
  var obj = data.parseJSON();

  GDownloadUrl( obj.htmlfile, function(data) {
    var mk = new GMarker( new GLatLng(obj.lat, obj.lng) );
    map.addOverlay(mk);
    GEvent.addListener( mk, "click", showInfo );

    function showInfo() {
      mk.openInfoWindowHtml( data, {"maxWidth":200} );
    }
  })
}

onload   = startUp;
onunload = GUnload;
