var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());
  map.addControl( new PositionBox() );      // !!!
}

function PositionBox() {}
PositionBox.prototype = new GControl();
PositionBox.prototype.initialize = function(map) {
  var container = document.createElement("div");

  var box = document.createElement("div");
  box.style.backgroundColor = "white";
  box.style.color           = "black";
  box.style.fontSize        = "smaller";
  box.style.border          = "1px solid black"; 
  box.style.padding         = "1px 6px";
  container.appendChild(box);

  function showCenter() {
    function shortForm(x) { return Math.floor(x*1000)/1000; }
    var p = map.getCenter();
    box.innerHTML = "(" + shortForm(p.lat()) + ", " + shortForm(p.lng()) + ")";
  }
  showCenter();
  GEvent.addListener(map, "moveend", showCenter);

  map.getContainer().appendChild(container);
  return container;
}
PositionBox.prototype.getDefaultPosition = function() {
  return new GControlPosition(G_ANCHOR_TOP_RIGHT, new GSize(7, 28));
}

onload   = startUp;
onunload = GUnload;
