<?php
  ini_set( "mbstring.script_encoding", "utf-8" );
  ini_set( "default_charset", "utf-8" );
  require_once "Jsphon.php";

  // ファイル更新の監視をスタート
  $fam = fam_open("list.php");
  fam_monitor_directory($fam, "/home/userid/public_html/s/markerdata"); //markerdataディレクトリの絶対パス

  chdir( "markerdata" );

  for(;;) {
    $time = time();
    $since = $_REQUEST["since"];

    $markerlist = glob("*");
    $news = array();
    foreach( $markerlist as $mk )
      if( $since < filemtime($mk) )
        $news[] = $mk;
    $markerlist = $news;

    if( count($markerlist) > 0 )
      break; //更新があったら結果を返す
    fam_next_event($fam); // なければ、更新が発生するまで停止して待機する
  }

  // ファイル更新監視終了
  fam_close($fam);

  // JSON形式にして返す
  print Jsphon::encode(array( "time"=>$time, "list"=>$markerlist ));
?>
