<?php
  ini_set( "mbstring.script_encoding", "utf-8" );
  ini_set( "default_charset", "utf-8" );
  require_once "Jsphon.php";

  // markerdataディレクトリのファイル名一覧を取得
  chdir("markerdata");
  $markerlist = glob( "*" );

  // マーカー名を、idという名前の変数でうけとる
  $id = $_REQUEST["id"];

  // $idがディレクトリ内のファイルでなければ、
  // 新しいマーカーと判断して、新規IDを割り当てる
  $cnt = array_count_values($markerlist);
  if( $cnt[$id] != 1 )
    $id = count($markerlist); // IDは0からの連番とし、まだ使われてない値

  // ファイルを開き、JSON形式で書き込み
  $wp = fopen($id, "w");
    $s = Jsphon::encode( array(
      "id"   => $id,
      "lat"  => $_REQUEST["lat"],
      "lng"  => $_REQUEST["lng"],
      "data" => $_REQUEST["data"]
    ));
  fputs($wp, $s);
  fclose($wp);

  // 書き込んだマーカーのIDを返す
  print $id;
?>
