<?php
  ini_set( "mbstring.script_encoding", "utf-8" );
  ini_set( "default_charset", "utf-8" );
  require_once "Jsphon.php";

  // 変数 addr で変換したい文字列を
  // 変数 series で変換元データ（ADDRESS,STATION,PLACE,FACILITY）を指定
  $a = urlencode( $_GET["addr"] );
  if( isset($_REQUEST["series"]) )
    $s = urlencode( $_GET["series"] ); 
  else
    $s = "ADDRESS";

  // CSISシンプルジオコーディング実験に問い合わせ。結果をXMLで受け取る
  $xml = simplexml_load_file( "http://geocode.csis.u-tokyo.ac.jp/cgi-bin/simple_geocode.cgi?addr=$a&charset=UTF8&series=$s" );

  // 結果から緯度、経度、住所表記を取り出してJSON形式で返す
  $result = array();
  if( $xml ) // 正しく結果が取得できていれば
    foreach( $xml->candidate as $cand ) 
      $result[] = array(
        "lat"  => (real)   $cand->latitude,
        "lng"  => (real)   $cand->longitude,
        "addr" => (string) $cand->address
      );
  print Jsphon::encode( $result );
?>
