var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 10 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  setWeather(); // 天気予報を表示
  GEvent.addListener( map, "moveend", setWeather ); // 中心が動いたときも
}

function setWeather() {
  // 中心座標をIDに変換（リスト4-42）
  var id = latlngToID( map.getCenter() );

  // Weather Hacksに問い合わせ
  GDownloadUrl( "tomorrow_weather.php?city="+encodeURIComponent(id),
    function(data){
      // HTML書き換え
      var obj = data.parseJSON();
      document.getElementById("image").src       = obj.image;
      document.getElementById("city").innerHTML  = obj.city;
      document.getElementById("telop").innerHTML = obj.telop;
      document.getElementById("tmin").innerHTML  = obj.tmin+"℃";
      document.getElementById("tmax").innerHTML  = obj.tmax+"℃";
    }
  );
}

onload   = startUp;
onunload = GUnload;


//////////////////////////////////////////////////////////////////////////////////////


var db =
[{"name":"稚内","id":1,"lat":45.416995,"lng":"141.676999"},{"name":"旭川","id":2,"lat":43.763492,"lng":"142.357803"},{"name":"留萌","id":3,"lat":43.942848,"lng":"141.651433"},{"name":"札幌","id":4,"lat":43.068612,"lng":"141.350768"},{"name":"岩見沢","id":5,"lat":43.204201,"lng":"141.759359"},{"name":"倶知安","id":6,"lat":42.90164,"lng":"140.745471"},{"name":"網走","id":7,"lat":44.019873,"lng":"144.254156"},{"name":"北見","id":8,"lat":43.805504,"lng":"143.898167"},{"name":"紋別","id":9,"lat":44.348797,"lng":"143.348128"},{"name":"根室","id":10,"lat":43.326923,"lng":"145.582707"},{"name":"釧路","id":11,"lat":42.990584,"lng":"144.381983"},{"name":"帯広","id":12,"lat":42.917997,"lng":"143.201950"},{"name":"室蘭","id":13,"lat":42.317864,"lng":"140.975710"},{"name":"浦河","id":14,"lat":42.168366,"lng":"142.769976"},{"name":"函館","id":15,"lat":41.773709,"lng":"140.726413"},{"name":"江差","id":16,"lat":41.856727,"lng":"140.127933"},{"name":"青森","id":17,"lat":40.828668,"lng":"140.734738"},{"name":"むつ","id":18,"lat":41.286514,"lng":"141.166074"},{"name":"八戸","id":19,"lat":40.5092,"lng":"141.431499"},{"name":"秋田","id":20,"lat":39.716748,"lng":"140.129931"},{"name":"横手","id":21,"lat":39.310146,"lng":"140.560400"},{"name":"盛岡","id":22,"lat":39.701547,"lng":"141.136599"},{"name":"宮古","id":23,"lat":39.640287,"lng":"141.946454"},{"name":"大船渡","id":24,"lat":39.063529,"lng":"141.720807"},{"name":"仙台","id":25,"lat":38.260027,"lng":"140.882158"},{"name":"白石","id":26,"lat":43.05184,"lng":"141.408122"},{"name":"山形","id":27,"lat":38.248098,"lng":"140.327253"},{"name":"米沢","id":28,"lat":37.909478,"lng":"140.128209"},{"name":"酒田","id":29,"lat":38.922194,"lng":"139.845987"},{"name":"新庄","id":30,"lat":38.76256,"lng":"140.306064"},{"name":"福島","id":31,"lat":37.754123,"lng":"140.459680"},{"name":"小名浜","id":32,"lat":36.948151,"lng":"140.895903"},{"name":"若松","id":33,"lat":33.901179,"lng":"130.806307"},{"name":"水戸","id":54,"lat":36.370911,"lng":"140.476760"},{"name":"土浦","id":55,"lat":36.078644,"lng":"140.206238"},{"name":"宇都宮","id":56,"lat":36.559246,"lng":"139.898389"},{"name":"大田原","id":57,"lat":36.859584,"lng":"140.024810"},{"name":"前橋","id":58,"lat":36.383399,"lng":"139.072833"},{"name":"みなかみ","id":59,"lat":36.778614,"lng":"138.968800"},{"name":"さいたま","id":60,"lat":35.899208,"lng":"139.647519"},{"name":"熊谷","id":61,"lat":36.139627,"lng":"139.389528"},{"name":"秩父","id":62,"lat":35.99883,"lng":"139.086044"},{"name":"東京","id":63,"lat":35.681391,"lng":"139.766103"},{"name":"八丈島","id":65,"lat":33.107554,"lng":"139.795716"},{"name":"父島","id":66,"lat":27.091399,"lng":"142.198555"},{"name":"千葉","id":67,"lat":35.613425,"lng":"140.112837"},{"name":"銚子","id":68,"lat":35.729449,"lng":"140.827557"},{"name":"館山","id":69,"lat":34.9959,"lng":"139.861888"},{"name":"横浜","id":70,"lat":35.465941,"lng":"139.622847"},{"name":"小田原","id":71,"lat":35.256271,"lng":"139.155043"},{"name":"甲府","id":75,"lat":35.667054,"lng":"138.569015"},{"name":"河口湖","id":76,"lat":35.498231,"lng":"138.768852"},{"name":"富山","id":44,"lat":36.701384,"lng":"137.213091"},{"name":"伏木","id":45,"lat":36.792306,"lng":"137.058530"},{"name":"金沢","id":46,"lat":36.578117,"lng":"136.648166"},{"name":"輪島","id":47,"lat":37.388381,"lng":"136.932103"},{"name":"福井","id":48,"lat":36.061479,"lng":"136.223261"},{"name":"敦賀","id":49,"lat":35.644767,"lng":"136.076488"},{"name":"新潟","id":50,"lat":37.912299,"lng":"139.060869"},{"name":"長岡","id":51,"lat":37.447787,"lng":"138.853927"},{"name":"高田","id":52,"lat":34.515916,"lng":"135.745033"},{"name":"相川","id":53,"lat":34.757942,"lng":"135.533853"},{"name":"長野","id":72,"lat":36.643307,"lng":"138.189101"},{"name":"松本","id":73,"lat":36.230393,"lng":"137.964450"},{"name":"飯田","id":74,"lat":35.519544,"lng":"137.821244"},{"name":"静岡","id":34,"lat":34.971629,"lng":"138.388579"},{"name":"網代","id":35,"lat":35.043545,"lng":"139.081245"},{"name":"三島","id":36,"lat":35.126336,"lng":"138.910061"},{"name":"浜松","id":37,"lat":34.703866,"lng":"137.734759"},{"name":"名古屋","id":38,"lat":35.170694,"lng":"136.881637"},{"name":"豊橋","id":39,"lat":34.762734,"lng":"137.382128"},{"name":"岐阜","id":40,"lat":35.409967,"lng":"136.756324"},{"name":"高山","id":41,"lat":36.140574,"lng":"137.251301"},{"name":"津","id":42,"lat":34.734418,"lng":"136.510581"},{"name":"尾鷲","id":43,"lat":34.074304,"lng":"136.190168"},{"name":"大津","id":77,"lat":35.002997,"lng":"135.864651"},{"name":"彦根","id":78,"lat":35.272584,"lng":"136.263453"},{"name":"京都","id":79,"lat":34.985705,"lng":"135.758228"},{"name":"舞鶴","id":80,"lat":35.460344,"lng":"135.354936"},{"name":"大阪","id":81,"lat":34.702398,"lng":"135.495188"},{"name":"神戸","id":82,"lat":34.679453,"lng":"135.178221"},{"name":"豊岡","id":83,"lat":35.544161,"lng":"134.813485"},{"name":"奈良","id":84,"lat":34.680482,"lng":"135.818935"},{"name":"風屋","id":85,"lat":34.047472,"lng":"135.784115"},{"name":"和歌山","id":86,"lat":34.232436,"lng":"135.191454"},{"name":"潮岬","id":87,"lat":33.449129,"lng":"135.764552"},{"name":"岡山","id":88,"lat":34.666572,"lng":"133.918552"},{"name":"津山","id":89,"lat":35.054511,"lng":"134.003477"},{"name":"広島","id":90,"lat":34.397446,"lng":"132.475593"},{"name":"庄原","id":91,"lat":34.894945,"lng":"133.068744"},{"name":"松江","id":92,"lat":35.463947,"lng":"133.063871"},{"name":"浜田","id":93,"lat":34.902683,"lng":"132.088588"},{"name":"西郷","id":94,"lat":37.136373,"lng":"140.154844"},{"name":"鳥取","id":95,"lat":35.493953,"lng":"134.225901"},{"name":"米子","id":96,"lat":35.42327,"lng":"133.336570"},{"name":"下関","id":97,"lat":33.950306,"lng":"130.923038"},{"name":"山口","id":98,"lat":34.076294,"lng":"131.518159"},{"name":"柳井","id":99,"lat":33.965728,"lng":"132.105988"},{"name":"萩","id":100,"lat":34.393845,"lng":"131.401210"},{"name":"徳島","id":101,"lat":34.074572,"lng":"134.551391"},{"name":"日和佐","id":102,"lat":33.728954,"lng":"134.530603"},{"name":"高松","id":103,"lat":34.350754,"lng":"134.046821"},{"name":"新居浜","id":105,"lat":33.948124,"lng":"133.294761"},{"name":"宇和島","id":106,"lat":33.225774,"lng":"132.567460"},{"name":"高知","id":107,"lat":33.566758,"lng":"133.543522"},{"name":"室戸","id":108,"lat":33.315803,"lng":"134.144201"},{"name":"福岡","id":110,"lat":33.611051,"lng":"130.596075"},{"name":"八幡","id":111,"lat":34.86637,"lng":"135.706547"},{"name":"飯塚","id":112,"lat":33.628487,"lng":"130.689545"},{"name":"久留米","id":113,"lat":33.319778,"lng":"130.501408"},{"name":"大分","id":114,"lat":33.232794,"lng":"131.606595"},{"name":"中津","id":115,"lat":34.710241,"lng":"135.494127"},{"name":"日田","id":116,"lat":33.317014,"lng":"130.938786"},{"name":"佐伯","id":117,"lat":32.972521,"lng":"131.901857"},{"name":"長崎","id":118,"lat":32.753085,"lng":"129.870515"},{"name":"佐世保","id":119,"lat":33.163828,"lng":"129.726415"},{"name":"福江","id":121,"lat":35.146359,"lng":"136.912920"},{"name":"佐賀","id":122,"lat":33.264212,"lng":"130.297608"},{"name":"伊万里","id":123,"lat":33.271862,"lng":"129.876344"},{"name":"熊本","id":124,"lat":32.789207,"lng":"130.688499"},{"name":"阿蘇乙姫","id":125,"lat":32.939378,"lng":"131.041466"},{"name":"牛深","id":126,"lat":32.216576,"lng":"130.033125"},{"name":"人吉","id":127,"lat":32.216142,"lng":"130.753797"},{"name":"宮崎","id":128,"lat":31.917028,"lng":"131.433897"},{"name":"延岡","id":129,"lat":32.589944,"lng":"131.672442"},{"name":"都城","id":130,"lat":31.73657,"lng":"131.073992"},{"name":"高千穂","id":131,"lat":32.714701,"lng":"131.306448"},{"name":"鹿児島","id":132,"lat":31.602098,"lng":"130.564112"},{"name":"鹿屋","id":133,"lat":31.385255,"lng":"130.849934"},{"name":"名瀬","id":135,"lat":28.381751,"lng":"129.498848"},{"name":"那覇","id":136,"lat":26.213173,"lng":"127.689800"},{"name":"名護","id":137,"lat":26.596899,"lng":"127.991048"},{"name":"久米島","id":138,"lat":26.345762,"lng":"126.772677"},{"name":"宮古島","id":140,"lat":24.793269,"lng":"125.292911"}]

function latlngToID( pt ) {
  var mi = 0;
  var md = 40000000;
  for(var i=0; i!=db.length; ++i) {
    var dist = pt.distanceFrom( new GLatLng(db[i].lat, db[i].lng) );
    if( dist < md ) {
       md = dist;
       mi = i;
    }
  }
  return db[mi].id;
}
