var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 4 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  GDownloadUrl("typhoon.php", function(data){
    var typs = data.parseJSON();
    for(var i=0; i!=typs.length; ++i)
      addMarker( new GLatLng(typs[i].lat, typs[i].lng),
        "<h4>"+typs[i].title+"</h4>"+typs[i].content );
  });
}

function addMarker(pos, msg) {
   var mk = new GMarker(pos);
   map.addOverlay(mk);
   GEvent.addListener( mk, "click", function()
     { mk.openInfoWindowHtml(msg,{"maxWidth":300}); })
}

onload   = startUp;
onunload = GUnload;
