<?php
  ini_set( "mbstring.script_encoding", "utf-8" );
  ini_set( "default_charset", "utf-8" );
  require_once "Jsphon.php";

  // 送られてきたメッセージ（HTMLタグのエスケープ）
  $msg = htmlspecialchars( $msg );

  // ついでに受信時刻を記録
  $now = gmdate("n/j(D) H:i",time()+60*60*9);

  // 緯度経度は、"度.分.秒"形式で送られる。これを10進数表示に変換
  $lats = explode(".", $_REQUEST["lat"]);
  $lngs = explode(".", $_REQUEST['lon']);
  $lat = $lats[0] + $lats[1]/60.0 + $lats[2]/3600.0 + $lats[3]/3600000.0;
  $lng = $lngs[0] + $lngs[1]/60.0 + $lngs[2]/3600.0 + $lngs[3]/3600000.0;

  // ログファイルに記録
  $log = file( "log.dat" );
  $log[]= Jsphon::encode( array("msg"=>$msg,"time"=>$now,"lat"=>$lat,"lng"=>$lng) );

  // 最大30件までに制限
  while( count($log) > 30 )
    array_shift($log);

  // ログファイルに書き込み
  $fp = fopen("log.dat", "w");
  foreach( $log as $line )
    fputs($fp, $line."\n");
 fclose($fp);

  print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE html PUBLIC
 "-//i-mode group (ja)//DTD XHTML i-XHTML (Locale/Ver.=ja/1.0) 1.0//EN"
  "i-xhtml_4ja_10.dtd">
<html>
  <head><title>位置メモ:完了</title></head>
  <body>
    <p>記録完了しました。</p>
  </body>
</html>
