var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );

  // ログを読み込み
  GDownloadUrl( "logloader.php", function(data){
    var log = data.parseJSON();

    // 中心は最新の記録のところ（もしあれば）にする
    if( log.length == 0 ) {
      map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
    } else {
      var last = log[log.length-1];
      map.setCenter( new GLatLng(last.lat, last.lng), 13 );
    }

    // コントロール追加
    map.addControl(new GSmallMapControl());
    map.addControl(new GMapTypeControl());

    // マーカー追加
    for(var i=0; i!=log.length; ++i)
      addMarker( new GLatLng(log[i].lat, log[i].lng),
                 "<h4>"+log[i].time+"</h4><p>"+log[i].msg+"</p>",
                 log.length-i );
  });
}

// 番号付きマーカーを追加（第３章を参照）
function addMarker(latlng, msg, num) {
  var icon = new GIcon(G_DEFAULT_ICON, "markers/marker"+num+".png");

  var mk = new GMarker(latlng, icon);
  map.addOverlay(mk);
  GEvent.addListener( mk, "click", function()
    { mk.openInfoWindowHtml(msg,{"maxWidth":300}); });
}

onload   = startUp;
onunload = GUnload;
