var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GLargeMapControl());
  map.addControl(new GScaleControl());
  map.addControl(new GMapTypeControl());
  map.addControl(new GOverviewMapControl());

  GEvent.addListener(map, "click", stop); // クリックしたら停止
  setTimeout(next, 1000);                 // １秒後にnext関数を呼ぶ
}

var currentPos = 0;
var positions = [
  new GLatLng(35.6984, 139.7732), // 秋葉原
  new GLatLng(35.7137, 139.7777), // 上野
  new GLatLng(35.7073, 139.7509)  // 後楽園
];

function next() {
  // currentPosが-1なら、何もしない
  if( currentPos == -1 )
    return;

  // それ以外の場合、次の場所に視点を移す
  currentPos = currentPos+1;

  // 最後の場所だった場合は、スタート位置に戻るようにする
  if( currentPos == positions.length )
    currentPos = 0;

  // 表示範囲の中心を移動
  map.panTo( positions[currentPos] );

  // １秒後にnext関数をもう一度呼ぶ
  setTimeout(next, 1000);
}

function stop() {
  // currentPos を -1 にするとnext関数が止まる
  currentPos = -1;
}

onload   = startUp;
onunload = GUnload;
