function NGStoWGS( ngs ) {
  var B = ngs.lat(); // 日本測地系での緯度
  var L = ngs.lng(); // 日本測地系での経度
  return new GLatLng(
    B - 0.00010695 *B + 0.000017464*L + 0.0046017,  // 世界測地系での緯度
    L - 0.000046038*B - 0.000083043*L + 0.010040 ); // 世界測地系での経度
}

function WGStoNGS( wgs ) {
  var B = wgs.lat(); // 世界測地系での緯度
  var L = wgs.lng(); // 世界測地系での経度
  return new GLatLng(
    B + 0.00010696* B - 0.000017467*L - 0.0046020,  // 日本測地系での緯度
    L + 0.000046047*B + 0.000083049*L - 0.010041 ); // 日本測地系での経度
}
