var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl( new GSmallMapControl() );
  map.addControl( new GMapTypeControl() );
  mouseTraceScroll(map); //!!
}

function mouseX(ev) {
  if (ev.pageX)
    return ev.pageX;
  return ev.clientX +
     (document.documentElement.scrollLeft ?
      document.documentElement.scrollLeft :
                 document.body.scrollLeft );
}

function mouseY(ev) {
  if( ev.pageY )
    return ev.pageY;
  return ev.clientY +
    (document.documentElement.scrollTop ?
     document.documentElement.scrollTop :
                document.body.scrollTop );
}

function mouseTraceScroll(map) {
  map.disableDragging(); // 普通のドラッグスクロールを無効化

  var xPos, yPos, xBeginPos, yBeginPos, scrolling = false

  var div = map.getContainer();
  GEvent.addDomListener( div, "click", function(ev){
    // １回目のクリックでスクロール開始
    // ２回目のクリックでスクロール終了
    scrolling = !scrolling;
    if( scrolling ) {
      // スクロール開始。マウス座標を記録
      xBeginPos = mouseX(ev);
      yBeginPos = mouseY(ev);
      setTimeout(timerLoop, 100); //100ミリ秒ごとにスクロール処理
    }
  })

  GEvent.addDomListener( div, "mousemove", function(ev){
    // マウスが動いたらその座標を記録
    xPos = mouseX(ev);
    yPos = mouseY(ev);
  })

  function timerLoop() {
    if( scrolling ) {
      // 開始位置とのズレを計算して、panByで動かす
      var dx = xPos - xBeginPos;
      var dy = yPos - yBeginPos;
      map.panBy( new GSize(-dx/10, -dy/10) );
      setTimeout(timerLoop, 100) //100ミリ秒ごとにスクロール処理
    }
  }
}

onload   = startUp;
onunload = GUnload;
onresize = function() { map.checkResize(); }
