// PostUrl : POSTメソッドで指定したurlにdataを送る汎用関数
//           結果はGDownloadUrlと同様にhandler関数を呼び出して返す
function PostUrl( url, data, handler ) {
  // POST用のXMLHttpRequestオブジェクトを作成
  var req = GXmlHttp.create();
  req.open( "POST", url, true );
  // 通常のフォームからのPOSTとヘッダを揃える
  req.setRequestHeader( "content-type",
     "application/x-www-form-urlencoded;charset=utf-8" );
  // 結果受信時の処理
  req.onreadystatechange = function() {
    if( req.readyState == 4 )
       handler( req.responseText, req.status );
  }
  // 送信
  req.send( data );
}

function sendStringByPost( scriptUrl, str1, str2 ) {
  var p1  = "a=" + encodeURIComponent(str1);
  var p2  = "b=" + encodeURIComponent(str2);
  PostUrl( scriptUrl, p1+"&"+p2, function(text){alert(text);} );
}

function startUp() {
  sendStringByPost( "perl_2.cgi", "Client & Server 連携プログラム", "こんにちは" );
  sendStringByPost( "ruby_2.cgi", "Client & Server 連携プログラム", "こんにちは" );
  sendStringByPost(  "php_2.php", "Client & Server 連携プログラム", "こんにちは" );
}

onload   = startUp;
onunload = GUnload;
