var map;

function startUp() {
  map = new GMap2( document.getElementById("mymap") );
  map.setCenter( new GLatLng(35.6984, 139.7732), 13 );
  map.addControl(new GSmallMapControl());
  map.addControl(new GMapTypeControl());

  function invGeo(latlng, fun) {
    GDownloadUrl( "igeo.php?lat="+encodeURIComponent(latlng.lat())
                         +"&lng="+encodeURIComponent(latlng.lng()), fun );
  }

  GEvent.addListener( map, "click", function(ov,latlng){
    if( ov )
      return;
    invGeo( latlng, function(address) {
      addEditableMarker( latlng, "<p>"+address+"</p>" );
    });
  });
}

function addEditableMarker(latlng, initData) {
  var mk = new GMarker(latlng);
  map.addOverlay(mk);

  // "表示"と"編集"の２タブの情報ウインドウを表示
  GEvent.addListener( mk, "click", function(){
    var tab1 = new GInfoWindowTab( "表示", view );
    var tab2 = new GInfoWindowTab( "編集", form );
    mk.openInfoWindowTabs( [tab1, tab2], {"maxWidth":300} );
  });

  // "表示" タブの内容
  // データをそのままHTMLとして利用
  var view = document.createElement("div");
  view.innerHTML = initData;

  // "編集" タブの内容
  // 以下のようなフォームを構築
  //     <form><textare>initData</textarea><input ...></form>
  var form = document.createElement("form");
    var textarea = document.createElement("textarea");
      textarea.cols = "30";
      textarea.rows = "6";
        var text = document.createTextNode(initData);
        textarea.appendChild(text);
    var button = document.createElement("input");
      button.type    = "button";
      button.value   = "更新";
      button.onclick = function(){ //ボタンクリック時の処理関数
        view.innerHTML = textarea.value;  //viewのHTMLをフォームの内容に書き換え
        map.getInfoWindow().selectTab(0); //viewを表示
      }
  form.appendChild(textarea);
  form.appendChild(button);
}

onload   = startUp;
onunload = GUnload;
