// Geocoding via Google AJAX Search API
function geo(place, fun) {
  var gls = new GlocalSearch();
  gls.setSearchCompleteCallback( null, action );
  gls.setCenterPoint(new GLatLng(35.6984, 139.7732)); // 精度をあげる地図中心指定
  gls.execute(place);

  function action() {
    var r = [];
    for(var i=0; i!=gls.results.length; ++i)
      r.push( new GLatLng(gls.results[i].lat, gls.results[i].lng) );
    fun(r);
  }
}

function startUp() {
  // 天気予報が提供されている地名をリストを取得
  GDownloadUrl( "wlist.php", function(data) {
    var obj = data.parseJSON();

    // それぞれの地名をGeocoderで緯度経度に変換してtextareaに表示
    // HTMLには 
    //   <form><textarea rows="20" cols="80" id="place"></textarea></form>
    // のような要素を置いておくこと
    var convResults = [];
    f(0);
    function f(i) {
      if( i >= obj.length )
        document.getElementById("place").value = convResults.toJSONString();
      else
        geo( obj[i].name, function(lls) {
          if( lls.length == 0 )
            alert( obj[i].name + "はみつかりませんでした" );
          else
            convResults.push( {"name":obj[i].name,  "id":obj[i].id,
                                "lat":lls[0].lat(),"lng":lls[0].lng()} );
          f(i+1);
        });
    }
  });
}

onload = startUp;
